local assets=
{
	Asset("ANIM", "anim/rattan.zip"),
	Asset("ANIM", "anim/swap_rattan.zip"),
	Asset("IMAGE", "images/inventoryimages/rattan.tex"),
	Asset("ATLAS", "images/inventoryimages/rattan.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_rattan", "swap_rattan")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	
    MakeInventoryPhysics(inst)

	
    inst.AnimState:SetBank("rattan")
    inst.AnimState:SetBuild("rattan")
	anim:PlayAnimation("idle")
	
	MakeInventoryFloatable(inst, "idle_water", "idle")		
	
    inst:AddTag("sharp")
	
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.DMG)
	
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.USE)
    inst.components.finiteuses:SetUses(TUNING.USE)
	inst.components.finiteuses:SetOnFinished( onfinished )
	 
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/rattan.xml"
	
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("wormwood")
	
    return inst
end

return Prefab( "common/inventory/rattan", fn, assets)